2016 GMC Canyon Diesel Compatibility

  • 1
  • Question
  • Updated 2 years ago
Archived and Closed

This conversation is no longer open for comments or replies and is no longer visible to community members.

I have a 1st generation adapter that i shelved while i owned an unsupported Diesel. I now have the vehicle above. Can you tell me if the 2016 GMC Canyon 2.8L Diesel is supported?
Photo of Brian Mallard

Brian Mallard

  • 70 Points

Posted 2 years ago

  • 1
Photo of Amy

Amy

  • 68,970 Points 50k badge 2x thumb
Hi Brian-

Apologies for the delay. I was checking in with our Senior Automotive Engineer about this. He says it's unlikely it will work well, depending on what firmware your Gen 1 adapter is on. As it's been unused for a long time, it might be a really old version. Do you know what firmware version your adapter is on? That should be visible in the app when you tap on your car in the Settings screen.

This conversation is no longer open for comments or replies.